<?
 /*SCRIPT PARA MANTENIMIENTO DE CURSOS IMPARTIDOS POR CATEDRATICO    */
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
  include("../fnc.php");
  enlinea_a();
  if(!$tipo_trn){
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }

  switch($tipo_trn){
   case "Add":
    $idcatedratico=base64_decode($idc);
    $idcurso=base64_decode($idcu);
    $idgrado=base64_decode($idg);

    $qver=mysql_query("select * from cursos_catedraticos where seccion = '$ids' and curso ='$idcurso' and catedratico = '$idcatedratico'");
    if(mysql_num_rows($qver)>0){
      $iver=mysql_fetch_array($qver);
      alert("El curso que seleccionó ya está asignado a ese catedrático","javascript:history.go(-1)");
    }
                $sql="insert into
                      cursos_catedraticos
                      set seccion='$ids',
                      catedratico='$idcatedratico',
                      grado = '$idgrado',
                      curso='$idcurso'";

                 $ins=mysql_query($sql);
                 if($ins){header("Location: ./frm_cursos_x_catedratico.php?idc=$idc");}else{echo "ERROR: ".mysql_error();}
   break;

   case "Del":
    $idcatedratico=base64_decode($idc);
    $idcurso=base64_decode($idcu);
    $idgrado=base64_decode($idg);

                $sql="delete from cursos_catedraticos
                      where curso = '$idcurso'
                      and catedratico= '$idcatedratico'
                      and grado = '$idgrado'
                      and seccion = '$ids'";
//                 echo $sql;
                 $qupd=mysql_query($sql);
                 header("Location: ./frm_cursos_x_catedratico.php?idc=$idc");
//                 if($qupd){alert("Grado: $txtgrado\\nactualizado con éxito","frm_grado.php?sid=$sid");}else{echo "ERROR: ".mysql_error();}
   break;

   default:
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }

?>